SSCONVERT(1)

NAME
ssconvert - a command line spreadsheet format converter

SYNOPSIS
ssconvert [OPTIONS] infile outfile

DESCRIPTION
ssconvert is a command line utility to convert spreadsheet files between various spreadsheet file formats. It is a companion utility to Gnumeric, the powerful spreadsheet program created by the GNOME project. ssconvert accepts either file names or URIs as infile outfile. The special URIs fd://0 and fd://1 can be used for standard input and standard output respectively.

OPTIONS
This program follows the usual GNU command line syntax, with single letter options starting with a single dash (`-') and longer options starting with two dashes (`--').

  Main options

--recalc
    Recalculate all formulas before writing.

--list-exporters
    List the available exporters (file formats).

-T, --export-type=ID
    Specify which exporter to use; see below for a list. This is only necessary when the right format does not follow from the output file name.

-O, --export-options=optionsstring
    Specify parameters for the chosen exporter. optionsstring is a list of parameter=value pairs, separated by spaces. The parameter names and values allowed are specific to the exporter and are documented below. Multiple parameters can be specified

--list-importers
    List the available importers (file formats). -T, --import-type=ID Specify which importer to use; see below for a list. This is only necessary when the right format does not follow from the input file name.

-E, --import-encoding=STRING
    Specify an encoding for imported content.

  Help options

-v, --version
    Display ssconvert's version.

-h, --help, --usage
    Display a brief usage message.

  Path options

-L, --lib-dir=STRING
    Set the root library directory.

-D, --data-dir=STRING
    Adjust the root data directory.

LIST OF IMPORTANT IDS

Gnumeric_XmlIO:sax
    Gnumeric's XML file format

Gnumeric_Excel:excel_dsf
    Microsoft Excel (tm) 97/2000/XP & 5.0/95 format

Gnumeric_Excel:xlsx
    Microsoft Excel (tm) 2007 ("Office Open XML", ) format

Gnumeric_pdf:pdf_assistant
    Portable Document Format

Gnumeric_stf:stf_assistant
    Text export (configurable) (*.txt)

Gnumeric_stf:stf_csv
    Comma Separated Values

LIST OF LESS IMPORTANT IDS

Gnumeric_sylk:sylk
    or Multiplan format

Gnumeric_Excel:excel_biff8
    Microsoft Excel (tm) 97/2000/XP format

Gnumeric_Excel:excel_biff7
    Microsoft Excel (tm) 5.0/95 format

Gnumeric_dif:dif
    (*.dif)

Gnumeric_html:roff
    (*.me) format.

Gnumeric_html:latex_table
    LaTeX 2e (*.tex) table fragment

Gnumeric_html:latex
    LaTeX 2e (*.tex)

Gnumeric_html:xhtml_range
    XHTML range - for export to clipboard

Gnumeric_html:xhtml
    XHTML (*.html)

Gnumeric_html:html40frag
    HTML (*.html) fragment

Gnumeric_html:html40
    HTML 4.0 (*.html)

Gnumeric_html:html32
    HTML 3.2 (*.html)

Gnumeric_OpenCalc:openoffice
    or (*.ods) format

Gnumeric_paradox:paradox
    (*.db) format

OPTIONS FOR THE PORTABLE DOCUMENT FORMAT (*.pdf) EXPORTER

sheet
    Name of the workbook sheet to operate on.

paper
    Paper size. Valid values include "A4" for ISO A4 and "na_letter_8.5x11in" for US Letter.

OPTIONS FOR THE CONFIGURABLE TEXT (*.txt) EXPORTER

sheet
    Name of the workbook sheet to operate on.

eol End Of Line convention; how lines are terminated. "unix" for linefeed, "mac" for carriage return; "windows" for carriage return plus linefeed.

charset
    The character encoding of the output. Defaults to UTF-8.

locale

quote
    The character or string used for quoting fields. Defaults to "\"" (quotation mark / double quote).

separator
    The string used to separate fields. Defaults to space.

format
    Acceptable values: "automatic", "raw", or "preserve".

transliterate-mode
    How to handle characters that cannot be represented in the chosen output character set. Acceptable values: "transliterate", or "escape".

quoting-mode
    When does data need to be quoted? "never", "auto" (puts quotes where needed), or "always". Defaults to "never".

quoting-on-whitespace
    Controls whether initial or terminal whitespace forces quoting. Defaults to TRUE.

EXAMPLES
To convert the gnumeric file foo.gnumeric to a Microsoft Excel(TM) format file foo.xls:

ssconvert foo.gnumeric foo.xls

The export format can be specified explicitly, to override the default (which is based on the file extension):

ssconvert --export-type=Gnumeric_stf:stf_csv foo.xls foo.txt

To convert an Excel format file statfuns.xls to a text file, specifying the semicolon as the separator character:

ssconvert -O 'separator=; format=raw' samples/excel/statfuns.xls statfuns.txt

LICENSE
ssconvert is licensed under the terms of the General Public License (GPL), version 2. For information on this license look at the source code that came with the software or see the

COPYRIGHT
The copyright on the gnumeric software and source code is held by the individual authors as is documented in the source code.

AUTHOR
ssconvert's primary author is Jody Goldberg <jody@gnome.org>; ssconvert builds on the gnumeric codebase. The initial version of this manpage was written by J.H.M. Dassen (Ray) <jdassen@debian.org>.

SEE ALSO
gnumeric(1), ssgrep(1), ssindex(1)